GNURADIO-COMPANION(1)

NAME
gnuradio-companion - GNU Radio Companion (GRC) is a graphical tool for creating signal flow graphs and generating flow-graph source code.

SYNOPSIS
gnuradio-companion: [options] [saved flow graphs]

OPTIONS

-h, --help
    show this help message and exit.

-v, --version
    show program's version number and exit

-c, --compile
    Only compile the GRC file without invoking the GUI. Useful for unit testing, running gnuradio-companion from a Makefile and other command-line scripting.

-d, --output-dir
    Output path for the Python file.

SAVED FLOW GRAPHS
Invoke the program with an XML file saved by a previous run.

SEE ALSO
The full documentation for gnuradio-companion is maintained as an HTML file. See http://gnuradio.org/redmine/projects/gnuradio/wiki/GNURadioCompanion